Skip to main content
`Ctrl`+`K`

# PCJacobiGetFixDiagonal

Determines if the Jacobi preconditioner `PCJACOBI` checks for zero diagonal terms

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiGetFixDiagonal(PC pc, PetscBool *flg)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- flg - the boolean flag

## Options Database Key

- -pc_jacobi_fixdiagonal <bool> - Fix 0 terms on diagonal by using 1

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetType()`, `PCJacobiSetFixDiagonal()`

## Level

intermediate

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Implementations

PCJacobiGetFixDiagonal_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages